<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Actions\Notify;

class AnnouncementController extends Controller
{
    public function index()
    {
        return view('panel.admin.announcements.index');
    }

    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'message' => 'required|string',
            'url' => 'nullable|url',
        ]);
        $title = $request->input('title');
        $message = $request->input('message');
        $url = $request->input('url', '#');
        $users = User::all();
        Notify::toMany($users, $title, $message, $url);
        return redirect()->route('dashboard.admin.announcements.index')->with('success', __('Notification sent to all users.'));
    }
}