@extends('panel.layout.app')
@section('title', __('Announcements'))

@section('content')
    <div class="py-10">
        <form
            class="mx-auto flex w-full flex-col gap-5 lg:w-5/12"
            action="{{ route('dashboard.admin.announcements.store') }}"
            method="POST"
        >
            <x-form-step
                step="1"
                label="{{ __('Send Announcement') }}"
            />

            @csrf
            <x-forms.input
                id="title"
                size="lg"
                label="{{ __('Title') }}"
                tooltip="{{ __('The title of the announcement.') }}"
                placeholder="{{ __('Title') }}"
                name="title"
                required
            />

            <x-forms.input
                id="message"
                label="{{ __('Message') }}"
                tooltip="{{ __('The message of the announcement.') }}"
                placeholder="{{ __('Message') }}"
                type="textarea"
                rows="3"
                name="message"
            />

            <x-forms.input
                id="url"
                label="{{ __('URL') }}"
                tooltip="{{ __('The URL of the announcement. Leave empty if you do not want to include a URL.') }}"
                placeholder="{{ __('URL (optional)') }}"
                name="url"
            />

            @if ($app_is_demo)
                <x-button
                    type="button"
                    onclick="return toastr.info('This feature is disabled in Demo version.');"
                >
                    {{ __('Save') }}
                </x-button>
            @else
                <x-button type="submit">
                    {{ __('Save') }}
                </x-button>
            @endif

        </form>
    </div>
@endsection
